//
//  FailedBanksCoreData+API.m
//  FailedBanks
//
//  Created by Timothy Shiu on 7/13/12.
//  Copyright (c) 2012 Shiu. All rights reserved.
//

#import "FailedBanksCoreData+API.h"

@implementation FailedBanksCoreData (API)

- (id) initWithId:(int) ident named:(NSString*) name city:(NSString*) city state:(NSString*) state
{
    self = [super init];
    if (!self) { return self; }
    self.ident = [NSNumber numberWithInt:ident];
    self.bankName = name;
    self.city = city;
    self.state = state;
    return self;
}

- (id) initWithId:(int) ident named:(NSString*) name city:(NSString*) city state:(NSString*) state
             certNumber:(int) cert acquiredBy:(NSString*) inst closeOn:(NSString*) closeDate updateOn:(NSString*) updateDate
{
    self = [self initWithId:ident named:name city:city state:state];
    self.certificateID = [NSNumber numberWithInt:cert];
    self.acquiringInstitute = inst;
    self.closingDate = closeDate;
    self.updateDate = updateDate;
    return self;
}

@end
