//
//  FailedBanksDatabase.h
//  FailedBanks
//
//  Created by Timothy Shiu on 6/28/12.
//  Copyright (c) 2012 Shiu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FailedBanksInfo.h"

@interface FailedBanksDatabase : NSObject

@property (nonatomic,strong) NSArray* array;

+ (FailedBanksDatabase*) failedBanksDatabase;
+ (id)   selectInfoAtIndexPath:(NSIndexPath*) indexPath;

- (void) insertInfo:(FailedBanksInfo*) info;
- (void) updateInfo:(FailedBanksInfo*) info;
- (void) reload;

@end
