//
//  FailedBanksInfo.m
//  FailedBanks
//
//  Created by Timothy Shiu on 6/28/12.
//  Copyright (c) 2012 Shiu. All rights reserved.
//

#import "FailedBanksInfo.h"

@implementation FailedBanksInfo

@synthesize array = _array;
@synthesize ident = _ident;
@synthesize bankName = _bankName;
@synthesize city = _city;
@synthesize state = _state;

- (NSString *) description
{
    return [NSString stringWithFormat:@"%@, %@, %@, %@", self.ident, self.bankName, self.city, self.state];
}

- (NSArray*) array
{
    if (_array != nil) { return _array; }
    _array = [NSArray arrayWithObjects:self.ident, 
              self.bankName, self.city, self.state, nil];
    return _array;
}

- (id) initWithId:(int) ident named:(NSString*) name city:(NSString*) city state:(NSString*) state
{
    self = [super init];
    if (!self) { return self; }
    self.ident = [NSNumber numberWithInt:ident];
    self.bankName = name;
    self.city = city;
    self.state = state;
    return self;
}

@end
